org.modeshape.jcr.spi.index

## Class InvalidIndexDefinitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jcr.RepositoryException
      - - org.modeshape.jcr.spi.index.InvalidIndexDefinitionException

- All Implemented Interfaces:
    Serializable

      public class InvalidIndexDefinitionException
      extends RepositoryException

  Exception used when an index definition is invalid.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidIndexDefinitionException()` Constructs a new instance of this class with `null` as its detail message.
    `InvalidIndexDefinitionException(String message)` Constructs a new instance of this class with the specified detail message.
    `InvalidIndexDefinitionException(String message, Throwable rootCause)` Constructs a new instance of this class with the specified detail message and root cause.
    `InvalidIndexDefinitionException(Throwable rootCause)` Constructs a new instance of this class with the specified root cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidIndexDefinitionException

          public InvalidIndexDefinitionException()

      Constructs a new instance of this class with `null` as its detail message.

    - #### InvalidIndexDefinitionException

          public InvalidIndexDefinitionException(String message)

      Constructs a new instance of this class with the specified detail message.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### InvalidIndexDefinitionException

          public InvalidIndexDefinitionException(Throwable rootCause)

      Constructs a new instance of this class with the specified root cause.
      Parameters:
        `rootCause` - root failure cause

    - #### InvalidIndexDefinitionException

          public InvalidIndexDefinitionException(String message,
                                         Throwable rootCause)

      Constructs a new instance of this class with the specified detail message and root cause.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
        `rootCause` - root failure cause

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.